{ config, pkgs, lib, ... }:

{
  imports = [
    ../../modules

    ./backup.nix
    ./locale.nix
    ./nix.nix
    ./programs.nix
    ./ssh.nix
    ./user.nix
    ./web.nix
  ];

  services.fstrim.enable = true;

  nixpkgs.overlays = [
    (import ../../pkgs/overlay.nix)
  ];
}
